bdde sh -p << HERE
#
# BDDE Demo Script V1.2 - (c) 1994,2002 HanSoft & Partners
#
# Part of the BDDE package. This script is donated to the public
# domain. This *IS* a valid shell script!!
#
echo [2J
echo           +---------------------------------------------------+
echo           |                                                   |
echo           |  Welcome to the world of BetaDisk Conversion !!   |
echo           |                                                   |
echo           +---------------------------------------------------+
sleep 3
echo
#
echo Yes, this is the most complete environment for disk conversion you've ever
echo seen. A complete shell that can even run scripts. If you thought this was
echo some demo package: forget it! This is a BDDE-script!
sleep 20
echo
#
echo But there is more! The BDDE Shell has 18 built-in commands. In the MS-DOS
echo version your emulator is just three keystrokes away!
sleep 20
echo
#
echo So start up the shell, extract the files you want and fire up your
echo emulator to read them in. Conversion just takes seconds with this new
echo exciting version of BDDE!
sleep 20
echo
#
echo If you've ever played with Unix there is not much to learn for you. Most
echo BDDE commands behave just like their Unix equivalents.
sleep 20
echo
echo But even when you do not know a lot about Unix help is on its way. Lots
echo of it! Let's take a brief look at the built-in help screens...
sleep 20
echo [2J
#
# Now let's show them the manual page
#
echo
man
echo This gives you a brief look at all the commands BDDE has to offer...
sleep 20
echo [2J
#
# Now we let them peek at the help-screen
#
help
sleep 20
echo [2J
#
echo That was the helpscreen. It is also available from the command-line and
echo gives you help in greater detail. If you want still more you can take
echo a peek at the BDDE Online User Manual. In the MS-DOS version you only
echo have to type:
echo
echo $ guide
echo
echo and you're there!
sleep 15
echo
echo Yes, you can count on BDDE. We support most Operating Systems including
echo MS-Windows, MS-DOS and most flavors of Unix. Apart from some minor
echo restrictions BDDE will offer you the very same functionality on every
echo platform.
sleep 15
echo
#
# Now we're gonna have some real fun!
#
echo You can count on BDDE. You can really count on it! BDDE has a built in
echo Reverse Polish Notation Calculator. If you know 'dc' on Unix or Forth
echo you can work with it right away. It has commands to manipulate a stack,
echo memory, binary operators, etc. Let's have a peek!
sleep 15
echo [2J
echo Let's calculate which line to poke in the Spectrum display memory in order
echo to patch in an underscore. You can calculate that by using this formula:
echo
echo  16384 + (block * 2048) + (line * 32) + character + (char_line * 256)
echo
echo block       = 0 to  2
echo line        = 0 to  7
echo character   = 0 to 31
echo char_line   = 0 to  7
sleep 15
echo
echo OK, let's do it! We want to patch the underscore in on block 1, line 5,
echo character 3:
echo
echo $ dc
echo 16384 1 2048 * 5 32 * 3 7 256 * + + + +
dc
16384 1 2048 * 5 32 * 3 7 256 * + + + +
quit
echo quit
echo $
sleep 15
echo
echo But that's not why you obtained this package, did you? You wanted to
echo convert some BetaDisks. We'll come to that right now!
sleep 20
echo [2J
#
# Now we're coming to business!
#
echo First we have to mount a file. We'll mount our demo-disk. Our demo-disk
echo is named "bdde.dmp", a raw dump made by ADU with an interleave of 1:1.
sleep 20
echo
echo $ mount -Fbdde.dmp -M0 -i1
mount -Fbdde.dmp -M0 -i1
sleep 20
echo
echo You can always find out which disk you're using and it parameters by
echo simply issuing:
echo
echo $ mount
mount
sleep 20
echo [2J
echo We're ready now! And watch this: you dreamed about this when you we still
echo using your BetaDisk!
sleep 5
echo
echo Did you ever want to know what the status of your disk was? BDDE can show
echo you in one simple command:
echo
#
# Show 'df' capabilities
#
sleep 20
echo $ df
df
sleep 20
echo [2J
#
# Now let's 'ls' a little
#
echo Alright, alright! We're not come this far just to show you what disk
echo you're using; you want more. Ok, die-hard BetaDisk users, eat your heart
echo out. This is quite another directory-listing, isn't it?
sleep 20
ls -D5 -l
sleep 20
echo [2J
echo You erased all your files before your good old Spectrum broke down? Don't
echo dispair. BDDE can detect them:
echo
sleep 20
ls -D2 &*
echo
sleep 5
echo We can do more! Watch this, they're still there!
sleep 5
ls -l -u &*
sleep 5
echo
echo The '&eynsdoc' obviously belongs to the 'keynes' program. Let's extract
echo them both:
echo
sleep 20
echo $ cp -u -C1 *ey* .
cp -u -C1 *ey* .
sleep 20
echo [2J
echo Yes, they're on your disk now. If you are the proud owner of a Z80
echo Spectrum Emulator you can use them right now. And yes, we DO support
echo wildcards!
echo
sleep 20
echo As a matter of fact you can issue multiple wildcards. We're a better shell
echo than COMMAND.COM! But then again, it's not too hard to beat the man who
echo made MS-DOS and a monster like MS-Windows.. ;-)
echo
sleep 20
echo $ ls -l -u *ey* music* *ei
ls -l -u *ey* music* *ei
sleep 20
echo
echo Only '*' is supported. Left, right, both sides, but not in the middle. But
echo you can probably live with that.
sleep 20
echo [2J
echo What more can we tell you about BDDE?
echo
echo We support these Spectrum Emulators:
echo
echo - MS-DOS G. Lunters  'Z80' V1.x, V2.x, V3.x
echo - MS-DOS K. Phairs   'SpecEm'
echo - Atari  C. Gandlers 'Spectrum'
sleep 20
echo
echo BDDE is available on:
echo
echo - MS-DOS V3.x and up
echo - MS-Windows V3.x
echo - MS-Windows 9x
echo - Linux V2.2 and up
echo - Coherent V4.2 and up
echo - Most Unix platforms
sleep 20
echo
echo The shell supports:
echo
echo - Navigation through the native OS (`cd` and `pwd`)
echo - Execution of OS-commands ('!', not available with MS-Windows)
echo - Running scripts like this one (not available with MS-Windows)
echo - Running your own emulator and the BDDE On Line Manual (MS-DOS only)
sleep 20
echo [2J
echo             !! Thanks for evaluating BDDE !!
sleep 10
mount -D5
echo [2J
exit
HERE
