/*
+-------+-----------------+------+-----------------+-------+-----------------+
|Program| FREE_VA         |Header| HANSOFT         |Library| HANSOFT         |
+-------+-----------------+------+-----------------+-------+----------+------+
|HISTORY                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Turbo C V2.0                                     | HanSoft          |260890|
| DPX/2 version                                    | HanSoft          |160491|
+--------------------------------------------------+------------------+------+
|MODIFICATION LOG                                  |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Changed includes to enhance portability          | HanSoft          |160491|
| Rewritten due to changes in _va functions        | HanSoft          |230492|
| Added manual page support                        | HanSoft          |210792|
| Added ANSI_C support                             | HanSoft          |280294|
| Made function ANSI-C compliant                   | HanSoft          |260698|
+--------------------------------------------------+------------------+------+
|REMARKS                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| None                                             |                  |      |
+--------------------------------------------------+------------------+------+

  Copyright (C) 1991,2002 J.L. Bezemer

  This file is part of BDDE

  BDDE is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


frees all memory allocated used by VA_LIST, which must be terminated by a NULL-
pointer. Example:

free_va (dir_va);
*/

#include <stdlib.h>


#ifndef ARCHAIC
  void free_va (char **p)
#else
  void free_va (p) char **p;
#endif

{
 if (p)
    {
      if (*p) free (*p); free (p);
    }
}
