/*
+-------+-----------------+------+-----------------+-------+-----------------+
|Program| STRCHRC         |Header| HANSOFT         |Library| HANSOFT         |
+-------+-----------------+------+-----------------+-------+----------+------+
|HISTORY                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Turbo C V2.0 version 1.0a                        | HanSoft          |100290|
| DPX/2 version                                    | HanSoft          |160491|
+--------------------------------------------------+------------------+------+
|MODIFICATION LOG                                  |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Added manual page support                        | HanSoft          |210792|
| Added ANSI_C support                             | HanSoft          |280293|
| Made function ANSI-C compliant                   | HanSoft          |260698|
+--------------------------------------------------+------------------+------+
|REMARKS                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| None                                             |                  |      |
+--------------------------------------------------+------------------+------+

  Copyright (C) 1991,2002 J.L. Bezemer

  This file is part of BDDE

  BDDE is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  
This function returns the number of occurences in STR of the chars
in DELIMIT e.g. (In this example COUNT will be 3)
count = Strchrc ("a:\utils,c:\system;f:\bat c:\tools", " ,;");
*/


#ifndef ARCHAIC
  int Strchrc (char *str, char *delimit)
#else
  int Strchrc (str, delimit) char *str; char *delimit;
#endif

{
 char *p;
 int count = 0;

 for (;*str; str++)
  for (p = delimit; *p; p++)
   if (*p == *str) count++;

 return (count);
}
