/*
+-------+-----------------+------+-----------------+-------+-----------------+
|Program| STRLCHR         |Header| HANSOFT         |Library| HANSOFT         |
+-------+-----------------+------+-----------------+-------+----------+------+
|HISTORY                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Turbo C V2.0                                     | HanSoft          |310390|
| DPX/2 version                                    | HanSoft          |160491|
+--------------------------------------------------+------------------+------+
|MODIFICATION LOG                                  |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| Routine simplified                               | HanSoft          |260890|
| Added manual page support                        | HanSoft          |210792|
| Added ANSI_C support                             | HanSoft          |280294|
| Made function ANSI-C compliant                   | HanSoft          |260698|
+--------------------------------------------------+------------------+------+
|REMARKS                                           |    Programmer    | Date |
+--------------------------------------------------+------------------+------+
| None                                             |                  |      |
+--------------------------------------------------+------------------+------+

  Copyright (C) 1991,2002 J.L. Bezemer

  This file is part of BDDE

  BDDE is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  
Returns position of char in str or -1 if char does not occur in str
e.g. y = Strlchr ("Hello, it is me", ',')
*/

#include <string.h>


#ifndef ARCHAIC
  int Strlchr (char *str, char chr)
#else
  int Strlchr (str, chr) char *str; char chr;
#endif

{
 int y = strlen (str);

 for (;y;) if (str [--y] == chr) return (y);
 return (-1);
}

